- Main Page
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# cBitmap Class Reference

This class provides functionalities to display a bitmap image. More...

`#include <CBitmap.h>`

Inheritance diagram for cBitmap:

List of all members.

## Public Member Functions
| cBitmap ()
| Constructor of cLabel.
virtual | ~cBitmap ()
| Destructor of cFont.
unsigned char * | getData ()
| Get a pointer to the actual image data... use with care...
unsigned int | getBitmapWidth ()
| Get width of image.
unsigned int | getBitmapHeight ()
| Get height of image.
unsigned int | getBitmapFormat ()
| Get the format (GL_RGB or GL_RGBA) of the image.
void | setZoomHV (float a_zoomHorizontal, float a_zoomVertical)
| Set zoom factors.
float | getZoomH ()
| Get zoom factor along horizontal axis.
float | getZoomV ()
| Get zoom factor along vertical axis.
void | enableTransparency (bool a_enableTransparency)
| enable or disable the use of transparency
## Public Attributes
cImageLoader | m_image
| Image loader.
## Private Member Functions
virtual void | render (const int a_renderMode=CHAI_RENDER_MODE_RENDER_ALL)
| Render texture in OpenGL.
## Private Attributes
float | m_zoomH
| zoom factors
bool | m_useTransparency
| transparency status

## Detailed Description

This class provides functionalities to display a bitmap image.

## Constructor & Destructor Documentation

cBitmap::cBitmap | ( |  | ) |

Constructor of cLabel.

Constructor of cBitmap.

cBitmap::~cBitmap | ( |  | ) | `[virtual]`

Destructor of cFont.

Destructor of cBitmap.

## Member Function Documentation

void cBitmap::setZoomHV | ( | float | a_zoomHorizontal,
|  | float | a_zoomVertical |
| ) |  |  |

Set zoom factors.

Set zoom factors for the horizontal and vertical directions

Parameters:

  | a_zoomHorizontal | Zoom factor along the horizontal direction
  | a_zoomVertical | Zoom factor along the vertical direction

void cBitmap::render | ( | const int | a_renderMode = `CHAI_RENDER_MODE_RENDER_ALL` | ) | `[private, virtual]`

Render texture in OpenGL.

Render bitmap in OpenGL

Reimplemented from cGenericObject.

The documentation for this class was generated from the following files:

- chai3d/src/widgets/CBitmap.h
- chai3d/src/widgets/CBitmap.cpp